Skip to main content
POST
Inject an intent into a conversation

Authorizations

token
string
query
required

A plaintext token to secure your server, specified at startup in the argument --auth-token thisismysecret

Path Parameters

conversation_id
string
required

Id of the conversation

Query Parameters

include_events
enum<string>
default:AFTER_RESTART

Specify which events of the tracker the response should contain.

  • ALL - every logged event.

  • APPLIED - only events that contribute to the trackers state. This excludes reverted utterances and actions that got undone.

  • AFTER_RESTART - all events since the last restarted event. This includes utterances that got reverted and actions that got undone.

  • NONE - no events.

Available options:
ALL,
APPLIED,
AFTER_RESTART,
NONE
output_channel
enum<string>

The bot's utterances will be forwarded to this channel. It uses the credentials listed in credentials.yml to connect. In case the channel does not support this, the utterances will be returned in the response body. Use latest to try to send the messages to the latest channel the user used. Currently supported channels are listed in the permitted values for the parameter.

Available options:
latest,
slack,
callback,
facebook,
rocketchat,
telegram,
twilio,
webexteams,
socketio

Body

application/json
name
string
required

Name of the intent to be executed.

Example:

"greet"

entities
object | null

Entities to be passed on.

Example:

Response

Success

tracker
object

Conversation tracker which stores the conversation state.

messages
object[]